#ifndef INTEGERNODE_HPP_INCLUDED
#define INTEGERNODE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class IntegerNode : public Node
    {
        public:
            IntegerNode(const void* Obj);

            IntegerNode() = default;
            IntegerNode(IntegerNode&& Obj) = default;
            IntegerNode(const IntegerNode& Obj) = default;
            IntegerNode& operator=(IntegerNode&& Obj) = default;
            IntegerNode& operator=(const IntegerNode& Obj) = default;

            static Class GetClass();

            std::int32_t GetInteger() const;
    };
}

#endif // INTEGERNODE_HPP_INCLUDED
